<template>
    <form class="" @submit.prevent="someAction()" action="#" method="post">
        <div class="row justify-content-center">
            <v-stepper class="col-xl-9 col-lg-9 col-md-10 col-sm-12 col-xs-12 StepperBox" v-model="e1">
              <v-stepper-header>
                <v-stepper-step :complete="e1 > 1" step="1"></v-stepper-step>

                <v-divider class="divider"></v-divider>

                <v-stepper-step id="step02" :complete="e1 > 2" step="2"></v-stepper-step>

                <v-divider></v-divider>

                <v-stepper-step :complete="e1 > 3" step="3"></v-stepper-step>

                <v-divider></v-divider>

                <v-stepper-step :complete="e1 > 4" step="4"></v-stepper-step>

              </v-stepper-header>
              <!-- STEP 1 -->
              <v-stepper-items>
                <v-stepper-content step="1">
                  <v-card
                    class="mb-5"
                  >
                    <div class="RegByEmail">
                        <div class="mb-3">
                            <!-- FIRST NAME -->
                            <FirstName></FirstName>
                        </div>
                        <div class="mb-3">
                            <!-- SURNAME -->
                            <SurnameInput></SurnameInput>
                        </div>
                        <div class="mb-3">
                            <!-- CURRENCY -->
                            <CurrencySelect></CurrencySelect>
                        </div>
                        <div class="">
                            <p class="text-danger text-center"><span class="mr-1">*</span>Necessary to fill</p>
                        </div>
                    </div>
                  </v-card>
                  <div class="text-center">
                      <v-btn
                        @click="e1 = 2"
                      >
                        Continue
                      </v-btn>
                  </div>
                </v-stepper-content>
                <!-- STEP 2 -->
                <v-stepper-content step="2">
                  <v-card
                    class="mb-5"
                  >
                  <div class="RegByEmail">
                      <!-- FIRST NAME -->
                      <div class="">
                          <FirstName></FirstName>
                      </div>
                      <!-- SURNAME -->
                      <div class="">
                          <SurnameInput></SurnameInput>
                      </div>
                      <!-- CURRENCY -->
                      <div class="">
                          <CurrencySelect></CurrencySelect>
                      </div>
                      <div class="">
                          <p class="text-danger text-center"><span class="mr-1">*</span>Necessary to fill</p>
                      </div>
                  </div>
                  </v-card>
                  <div class="text-center mb-5">
                      <v-btn
                        @click="e1 = 3"
                      >
                        <span class="btn-bet">Next</span>
                      </v-btn>
                  </div>
                </v-stepper-content>
                <!-- STEP 3 -->
                <v-stepper-content step="3">
                  <v-card
                    class="mb-5"
                  >
                  <form class="" action="#" method="post">
                      <div class="container">
                          <div class="row reg-form">
                              <!-- PASSWORD -->
                              <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12">
                                  <div class="RegByEmail">
                                      <PasswordInput></PasswordInput>
                                  </div>
                              </div>
                              <!-- REPEAT PASSWORD -->
                              <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12">
                                  <div class="RegByEmail">
                                     <RePasswordInput></RePasswordInput>
                                  </div>
                              </div>
                          </div>
                          <div class="row">
                              <!-- enter e-mail -->
                              <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12">
                                  <div class="RegByEmail">
                                      <EmailInput></EmailInput>
                                  </div>
                              </div>
                              <!-- currency -->
                              <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12">
                                  <div class="RegByEmail">
                                      <CurrencySelect></CurrencySelect>
                                  </div>
                              </div>
                          </div>
                          <div class="row">
                              <!-- select bonus -->
                              <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12">
                                  <div class="RegByEmail">
                                      <BonusSelect></BonusSelect>
                                  </div>
                              </div>
                              <!-- promo code -->
                              <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12">
                                  <div class="RegByEmail">
                                      <PromoInput></PromoInput>
                                  </div>
                              </div>
                          </div>
                      </div>
                      <div class="container text-center">
                          <div class="">
                              <p class="text-danger">*Necessary to fill</p>
                          </div>
                          <div class="">
                              <p><input type="checkbox" class="mr-1" name="checkbox_confirm" value="">By filling these fields you agree with the Terms and Conditions of the company and confirm that is your first account.</p>
                          </div>
                          <div class="">
                              <p>You must be over <a href="https://assets.weeblr.net/images/products/sh404sef/2015-10-14/medium/joomla-404-error-page.png" class="text-danger">18 to register on this website.</a></p>
                          </div>
                          <div class="">
                              <p>
                                  <img src="../assets/logotype.png" alt="#">
                              </p>
                          </div>
                      </div>
                  </form>
                  </v-card>
                  <!-- SUBMIT BUTTON -->
                  <div class="text-center">
                      <v-btn
                        @click="e1 = 4"

                      >
                        <button type="submit" name="button">Next</button>
                      </v-btn>
                  </div>
                </v-stepper-content>
                <!-- STEP 4 -->
                <v-stepper-content step="4">
                  <v-card
                    class="mb-5"
                  >
                      <div class="container text-center deposit-box">
                          <h3 class="text-uppercase title-color">
                              Registration successful!
                          </h3>
                          <div class="">
                              <span>A link to confirm your E-mail was sent.</span>
                          </div>
                          <div class="btn-box">
                              <a class="btn-bet" href="#">make a deposit</a>
                          </div>
                          <div>
                              <router-link class="Rlink" to="/Home">Back to Home page</router-link>
                          </div>
                      </div>
                  </v-card>

                  <div class="text-center">
                      <v-btn
                        @click="e1 = 1"
                      >
                        Continue
                      </v-btn>
                  </div>
                </v-stepper-content>
              </v-stepper-items>
            </v-stepper>
        </div>
    </form>
</template>

<script>
import FirstName from '@/components/FirstName'
import SurnameInput from '@/components/SurnameInput'
import PasswordInput from '@/components/PasswordInput'
import RePasswordInput from '@/components/RePasswordInput'
import CurrencySelect from '@/components/CurrencySelect'
import EmailInput from '@/components/EmailInput'
import BonusSelect from '@/components/BonusSelect'
import PromoInput from '@/components/PromoInput'


  export default {
      components: {
          PasswordInput,
          RePasswordInput,
          SurnameInput,
          CurrencySelect,
          FirstName,
          BonusSelect,
          EmailInput,
          PromoInput
      },
    data () {
      return {
        e1: 0,
        email: null,
        password: null,
        repeatedPassword: null
      }
  },
    watch: {
    repeatedPassword: "checkPasswordsEquality",
    password: "checkPasswordsEquality"
  },
  methods: {
    checkPasswordsEquality() {
      const { password, repeatedPassword } = this;
      const { repeatedPasswordEl } = this.$refs;

      if (password !== repeatedPassword) {
        repeatedPasswordEl.setCustomValidity(
          "Пароли должны совпадать",
         );
      } else {
        repeatedPasswordEl.setCustomValidity("");
      }
    },
    someAction() {
      alert("Форма отправлена");
    },
  }
}
</script>

<style lang="scss" scoped>

    .StepperBox {
        box-shadow: none;

        // width: 50%;

        display: flex;
        flex-direction: column;
        align-items: center;
        .deposit-box {
            .btn-bet {
                font-size: 20px;
                padding: 15px 40px;
            }
            .title-color {
                color: #d6892f;
            }
            div {
                margin: 30px 0;
            }
            .Rlink {
                text-decoration: none;
                margin: 60px 0 20px 0;

                font-weight: bold;
                color: #b9b9b9;
            }
        }
        .v-stepper__header {
            width: 50%;

            box-shadow: none;
        }
        .v-stepper__items {
            // width: 50%;
            .v-card {
                box-shadow: none;
            }
        }
    }
    .RegByEmail {
        .RegTitleBlock {
            display: flex;
            justify-content: space-between;

            font-weight: bold;
        }
        .textarea {
            width: 100%;

            border: 1px solid #eeeeee;
            border-radius: 5px;
            background-color: #eeeeee;

            padding: 2px 5px;

            resize: none;
        }
        .textarea:focus {
            outline: none;
        }
        .RegInfoText {
            color: #aeaeae;
        }
    }
    .btn-bet {
        color: white;
        font-weight: bold;
        font-size: 17px;
        text-decoration: none;
        text-transform: uppercase;

        padding: 10px 70px;

        background-image: url(../assets/bg_sport_event.jpg);
        background-size: cover;
        box-shadow: 0 10px 25px -3px red;

        border: 2px solid red;
        border-radius: 10px;

        transition: .7s all ease;
    }
    .btn-bet:hover {
        box-shadow: 0 5px 30px 10px red;

        transition: .7s all ease;
    }
    #step02 {
        padding: 0;
    }
    .divider {
        border: 2px solid orange;
        border-color: orange;
        margin: 0 -20px;
    }
</style>
